HomeUser GuidesAPI Reference
Get Started
HomeAPI Reference
Authentication
Branches
Contact Groups
Contacts
Conversations
Error HandlingInvoices
Messages
Orders
Rate LimitingSDKs & Code ExamplesTemplatesTicketsAPI VersioningWABA NumbersWebhooks
User GuideAPI ReferenceCreate Contact GroupDelete Contact Group

Delete Contact Group

Delete a contact group from the system

Reading time: 1 minute

Delete Contact Group

Delete a contact group from the system.

DELETE{{base_url}}/contact-groups/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesGroup ID

Important:

Deleting the group does not delete associated contacts:

  • āœ… Contacts will remain
  • āœ… But they will be without a group
  • āœ… Can be linked to another group later

Example Request

Example Requestbash
curl -X DELETE "{{base_url}}/contact-groups/1" \
-H "Accept: application/json" \
-H "X-Awal-Signature-256: sha256=abc..." \
-H "X-Timestamp: 1704124800" \
-H "X-Domain: your-workspace" \
-H "X-Client-ID: your-client-id"

Example Response

Response200 OK
{
"status": true,
"message": "Group deleted successfully",
"data": {
  "unlinked_contacts": 25
}
}

Related

← Back to Contact Groups
View Guide
View